Lotus. Администрирование в вопросах и ответах


Использование шаблонов для Web со старыми браузерами


Web шаблоны по умолчанию, которые поставляются с R5, не поддерживают браузеры, которые не поддерживают стандарт JavaScript 1.1. Если браузер не поддерживающий JavaScript 1.1 пытается получить доступу к одному из шаблонов Web версии R5, он получит сообщение об ошибке. R5 включает специальные шаблоны Web, разработанные и предназначенные для работы со “старыми” браузерами.

Приложения, разработанные для использования в Web, ожидают обращения браузеров, которые не поддерживают JavaScript 1.1 стандарт и отображают сообщение, что возможности JavaScript не поддерживаются данными браузерами. Это - ограничение браузеров, а не проблема с шаблонами или приложениями. Domino и приложения Domino поддерживает все браузеры, но некоторых из инструментов, которые Вы можете использовать с Domino (например, JavaScript) не поддерживаются всеми браузерами.

R5 шаблоны Web, работает со следующими браузерами:

*                    Microsoft Internet Explorer 4.x

*                    Netscape Communicator 4.x

*                    Netscape Navigator 3.x

Если Вы разрабатываете приложения, к которым нужно иметь доступ через браузер, не поддерживающий стандарт JavaScript 1.1, но хотите использовать R5 шаблоны Web, убедитесь, что использовали специальные шаблоны Web разработанные для “старых” браузеров.




Начало  Назад  Вперед